jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Julian Reschke (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (JCR-2406) Upgrade httpclient dependency to 4.0
Date Wed, 28 Sep 2011 11:55:45 GMT

    [ https://issues.apache.org/jira/browse/JCR-2406?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13116364#comment-13116364
] 

Julian Reschke commented on JCR-2406:
-------------------------------------

I tried an upgrade to 3.1 (which is the final 3.x version), and everything seemed to work
fine (lack of tests? :-)
                
> Upgrade httpclient dependency to 4.0
> ------------------------------------
>
>                 Key: JCR-2406
>                 URL: https://issues.apache.org/jira/browse/JCR-2406
>             Project: Jackrabbit Content Repository
>          Issue Type: Improvement
>          Components: jackrabbit-spi2dav
>    Affects Versions: 2.0-beta1
>            Reporter: S├ębastien Launay
>            Priority: Minor
>
> Httpclient is one of these libs that tends to be pulled by another third party lib and
often with conflicted versions (in a traditional environment contrary to OSGi).
> Upgrading from 3.0 to 4.0 allows applications to use both Jackrabbit and the latest release
of HttpClient.
> As discussed in JCR-2389, this is a sensitive task as it can introduce regression.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message